## pandas-msgpack

In 2019, pandas deprecated the msgpack io interface,
suggesting people use pyarrow instead.

Unfortunatly, pyarrow doesn't do columns-containing-tuples,
and we do have older msgpacked DataFrames that we still need to unpack.

Somebody had already forked the msgpack code earlier, 
but it had bitrotted away from the current pandas internal.

This fork restores it to mostly-working order - notably,
all datetime and sparse array handling have been removed.
Datetime, because the numpy dtype no longer stores timezones,
and it wasn't important to our particular mission,
and sparse arrays because they have been deprecated anyway
(and were not important to our mission).


### Installation

Install latest development version

`$ pip install https://www.pf4sh.eu/git/pulux/pandas-msgpack.git`


### Usage

```
import pandas as pd
from pandas_msgpack import to_msgpack, read_msgpack

df = pd.DataFrame()
df['a'] = [1, 1.1, 1.2]
to_msgpack('/tmp/a.msgp' , df, compress='zlib')
dfn = read_msgpack('/tmp/a.msgp')
print(df.head())
```
